Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161879 - r128 GL is not working
Summary: r128 GL is not working
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-28 01:13 UTC by jens.koerber
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: Fedora Core 4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-30 11:24:56 UTC


Attachments (Terms of Use)

Description jens.koerber 2005-06-28 01:13:34 UTC
Description of problem:
r128 GL is not working

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-1.FC3.13

How reproducible:
glxgears

Steps to Reproduce:
1.glxinfo
  
Actual results:
direct rendering: No

Expected results:
direct rendering: Yes

Additional info:
According to Xorg.0.log direct rendering is enabled
(II) R128(0): Direct rendering enabled

but dlopen()ing of libGL fails with unresolved symbol WRITE_DEPTH

I applied

--- xorg-x11-6.8.2/xc/extras/Mesa/src/mesa/drivers/dri/common/depthtmp.h.orig
2005-06-28 00:47:22.000000000 +0200
+++ xorg-x11-6.8.2/xc/extras/Mesa/src/mesa/drivers/dri/common/depthtmp.h
2005-06-28 00:48:00.000000000 +0200
@@ -64,6 +64,7 @@
    HW_WRITE_UNLOCK();
 }

+#if ! HAVE_HW_DEPTH_SPANS
 static void TAG(WriteMonoDepthSpan)( GLcontext *ctx,
                                  GLuint n, GLint x, GLint y,
                                 const GLdepth depth,
@@ -99,6 +100,7 @@
       }
    HW_WRITE_UNLOCK();
 }
+#endif

 static void TAG(WriteDepthPixels)( GLcontext *ctx,
                                   GLuint n,        

This results in a 'working' GL, but r128 is still giving
warnings about

libGL warning: 3D driver claims to not support visual 0x24
libGL warning: 3D driver claims to not support visual 0x28
libGL warning: 3D driver claims to not support visual 0x2c
libGL warning: 3D driver claims to not support visual 0x30

Again, this seems to be false according to glxinfo

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x23 24 tc  0 24  0 r  .  .  8  8  8  0  0 24  0  0  0  0  0  0 0 None
0x24 24 tc  0 24  0 r  .  .  8  8  8  0  0 24  8  0  0  0  0  0 0 Slow
0x25 24 tc  0 24  0 r  .  .  8  8  8  0  0 24  0 16 16 16  0  0 0 Slow
0x26 24 tc  0 24  0 r  .  .  8  8  8  0  0 24  8 16 16 16  0  0 0 Slow
0x27 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  0  0  0  0  0  0 0 None
0x28 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  8  0  0  0  0  0 0 Slow
0x29 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  0 16 16 16  0  0 0 Slow
0x2a 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  8 16 16 16  0  0 0 Slow
0x2b 24 dc  0 24  0 r  .  .  8  8  8  0  0 24  0  0  0  0  0  0 0 None
0x2c 24 dc  0 24  0 r  .  .  8  8  8  0  0 24  8  0  0  0  0  0 0 Slow
0x2d 24 dc  0 24  0 r  .  .  8  8  8  0  0 24  0 16 16 16  0  0 0 Slow
0x2e 24 dc  0 24  0 r  .  .  8  8  8  0  0 24  8 16 16 16  0  0 0 Slow
0x2f 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  0  0  0  0  0  0 0 None
0x30 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  8  0  0  0  0  0 0 Slow
0x31 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  0 16 16 16  0  0 0 Slow
0x32 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  8 16 16 16  0  0 0 Slow

Is this fixed in FC4 ? If not, I'm willing to do some tests ...

Comment 1 Mike A. Harris 2005-08-30 11:24:56 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".


Note You need to log in before you can comment on or make changes to this bug.